package net.java.quickcheck.generator;

public class PrimitiveGeneratorSamples{
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#integers}.    
    */    
    public static  java.lang.Integer anyInteger(int lo, int hi, net.java.quickcheck.generator.distribution.Distribution distribution){
        return net.java.quickcheck.generator.PrimitiveGenerators.integers(lo, hi, distribution).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#integers}.    
    */    
    public static  java.lang.Integer anyInteger(int lo, int hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.integers(lo, hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#integers}.    
    */    
    public static  java.lang.Integer anyInteger(int low){
        return net.java.quickcheck.generator.PrimitiveGenerators.integers(low).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#integers}.    
    */    
    public static  java.lang.Integer anyInteger(){
        return net.java.quickcheck.generator.PrimitiveGenerators.integers().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#positiveIntegers}.    
    */    
    public static  java.lang.Integer anyPositiveInteger(int high){
        return net.java.quickcheck.generator.PrimitiveGenerators.positiveIntegers(high).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#positiveIntegers}.    
    */    
    public static  java.lang.Integer anyPositiveInteger(){
        return net.java.quickcheck.generator.PrimitiveGenerators.positiveIntegers().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#nulls}.    
    */    
    public static <T extends java.lang.Object>  T anyNull(){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> nulls().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#longs}.    
    */    
    public static  java.lang.Long anyLong(){
        return net.java.quickcheck.generator.PrimitiveGenerators.longs().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#longs}.    
    */    
    public static  java.lang.Long anyLong(long lo, long hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.longs(lo, hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#longs}.    
    */    
    public static  java.lang.Long anyLong(long lo, long hi, net.java.quickcheck.generator.distribution.Distribution distribution){
        return net.java.quickcheck.generator.PrimitiveGenerators.longs(lo, hi, distribution).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#objects}.    
    */    
    public static <T extends java.lang.Object>  T anyObject(java.lang.Class<T> objectType){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> objects(objectType).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#clonedValues}.    
    */    
    public static <T extends java.lang.Object>  T anyClonedValue(T prototype){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> clonedValues(prototype).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#booleans}.    
    */    
    public static  java.lang.Boolean anyBoolean(){
        return net.java.quickcheck.generator.PrimitiveGenerators.booleans().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#letterStrings}.    
    */    
    public static  java.lang.String anyLetterString(){
        return net.java.quickcheck.generator.PrimitiveGenerators.letterStrings().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#letterStrings}.    
    */    
    public static  java.lang.String anyLetterString(int min, int max){
        return net.java.quickcheck.generator.PrimitiveGenerators.letterStrings(min, max).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#defaultObjects}.    
    */    
    public static <T extends java.lang.Object>  T anyDefaultObject(java.lang.Class<T> objectType){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> defaultObjects(objectType).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#characters}.    
    */    
    public static  java.lang.Character anyCharacter(java.util.Collection<java.lang.Character> chars){
        return net.java.quickcheck.generator.PrimitiveGenerators.characters(chars).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#characters}.    
    */    
    public static  java.lang.Character anyCharacter(java.lang.String string){
        return net.java.quickcheck.generator.PrimitiveGenerators.characters(string).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#characters}.    
    */    
    public static  java.lang.Character anyCharacter(java.lang.Character... chars){
        return net.java.quickcheck.generator.PrimitiveGenerators.characters(chars).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#characters}.    
    */    
    public static  java.lang.Character anyCharacter(){
        return net.java.quickcheck.generator.PrimitiveGenerators.characters().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#characters}.    
    */    
    public static  java.lang.Character anyCharacter(char lo, char hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.characters(lo, hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#bytes}.    
    */    
    public static  java.lang.Byte anyByte(){
        return net.java.quickcheck.generator.PrimitiveGenerators.bytes().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#bytes}.    
    */    
    public static  java.lang.Byte anyByte(byte lo, byte hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.bytes(lo, hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#bytes}.    
    */    
    public static  java.lang.Byte anyByte(byte lo, byte hi, net.java.quickcheck.generator.distribution.Distribution distribution){
        return net.java.quickcheck.generator.PrimitiveGenerators.bytes(lo, hi, distribution).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(char lo, char hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(lo, hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(java.lang.String allowedCharacters){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(allowedCharacters).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(java.lang.String allowedCharacters, int min, int max){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(allowedCharacters, min, max).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(int max){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(max).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(int min, int max){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(min, max).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(net.java.quickcheck.Generator<java.lang.Integer> length, net.java.quickcheck.Generator<java.lang.Character> characters){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(length, characters).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#strings}.    
    */    
    public static  java.lang.String anyString(net.java.quickcheck.Generator<java.lang.Character> characterGenerator){
        return net.java.quickcheck.generator.PrimitiveGenerators.strings(characterGenerator).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#basicLatinCharacters}.    
    */    
    public static  java.lang.Character anyBasicLatinCharacter(){
        return net.java.quickcheck.generator.PrimitiveGenerators.basicLatinCharacters().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#printableStrings}.    
    */    
    public static  java.lang.String anyPrintableString(){
        return net.java.quickcheck.generator.PrimitiveGenerators.printableStrings().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#dates}.    
    */    
    public static  java.util.Date anyDate(){
        return net.java.quickcheck.generator.PrimitiveGenerators.dates().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#dates}.    
    */    
    public static  java.util.Date anyDate(java.util.concurrent.TimeUnit precision){
        return net.java.quickcheck.generator.PrimitiveGenerators.dates(precision).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#dates}.    
    */    
    public static  java.util.Date anyDate(java.util.Date low, java.util.Date high){
        return net.java.quickcheck.generator.PrimitiveGenerators.dates(low, high).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#dates}.    
    */    
    public static  java.util.Date anyDate(long low, long high){
        return net.java.quickcheck.generator.PrimitiveGenerators.dates(low, high).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#dates}.    
    */    
    public static  java.util.Date anyDate(java.lang.Long low, java.lang.Long high, java.util.concurrent.TimeUnit precision){
        return net.java.quickcheck.generator.PrimitiveGenerators.dates(low, high, precision).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#doubles}.    
    */    
    public static  java.lang.Double anyDouble(){
        return net.java.quickcheck.generator.PrimitiveGenerators.doubles().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#doubles}.    
    */    
    public static  java.lang.Double anyDouble(double lo, double hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.doubles(lo, hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#doubles}.    
    */    
    public static  java.lang.Double anyDouble(double lo, double hi, net.java.quickcheck.generator.distribution.Distribution distribution){
        return net.java.quickcheck.generator.PrimitiveGenerators.doubles(lo, hi, distribution).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#latin1SupplementCharacters}.    
    */    
    public static  java.lang.Character anyLatin1SupplementCharacter(){
        return net.java.quickcheck.generator.PrimitiveGenerators.latin1SupplementCharacters().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#nonEmptyStrings}.    
    */    
    public static  java.lang.String anyNonEmptyString(){
        return net.java.quickcheck.generator.PrimitiveGenerators.nonEmptyStrings().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#positiveLongs}.    
    */    
    public static  java.lang.Long anyPositiveLong(){
        return net.java.quickcheck.generator.PrimitiveGenerators.positiveLongs().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#positiveLongs}.    
    */    
    public static  java.lang.Long anyPositiveLong(long hi){
        return net.java.quickcheck.generator.PrimitiveGenerators.positiveLongs(hi).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#enumValues}.    
    */    
    public static <T extends java.lang.Enum<T>>  T anyEnumValue(java.lang.Class<T> enumClass, java.util.Collection<T> excludedCollection){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> enumValues(enumClass, excludedCollection).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#fixedValues}.    
    */    
    public static <T extends java.lang.Object>  T anyFixedValue(T value){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> fixedValues(value).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#fixedValues}.    
    */    
    public static <T extends java.lang.Object>  T anyFixedValue(T... values){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> fixedValues(values).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#fixedValues}.    
    */    
    public static <T extends java.lang.Object>  T anyFixedValue(java.util.Collection<T> values){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> fixedValues(values).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#enumValues}.    
    */    
    public static <T extends java.lang.Enum<T>>  T anyEnumValue(java.lang.Class<T> enumClass){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> enumValues(enumClass).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.PrimitiveGenerators#enumValues}.    
    */    
    public static <T extends java.lang.Enum<T>>  T anyEnumValue(java.lang.Class<T> enumClass, T... excluded){
        return net.java.quickcheck.generator.PrimitiveGenerators.<T> enumValues(enumClass, excluded).next();        
    }    
}
